List white-label domains
Lists the domains registered to the authenticated reseller and identifies the current default domain.
OpenAPI
````yaml get /api/v2/domains
openapi: 3.0.0
info:
version: 2.0.0
title: GetVoiceBot API
description: GetVoiceBot API Documentation
servers:
- url: https://api.getvoicebot.com
description: GetVoiceBot Production
variables:
baseUrl:
default: api.getvoicebot.com
description: Production API Root
security: []
tags:
- name: Agents
- name: Inbound Email
description: Control which senders may create inbound email work for an Agent.
- name: Features
description: Inspect capabilities available within an account hierarchy.
- name: Conversation Logs
description: Query conversation activity and calculate account-level metrics.
- name: Computer Agents
description: Set up, configure, inspect, and manage GetVoiceBot Computer Agents.
- name: Computer Agent Sessions
description: View and reset Computer Agent sessions.
- name: Accounts
- name: Agent Templates
description: Create, manage, and apply reusable Agent configurations.
paths:
/api/v2/domains:
get:
tags:
- White-label Domains
summary: List white-label domains
description: >-
Lists the domains registered to the authenticated reseller and
identifies the current default domain.
responses:
'200':
description: White-label domains
content:
application/json:
schema:
type: object
properties:
success:
type: boolean
example: true
message:
type: string
example: Domains fetched successfully
domains:
type: array
items:
type: object
properties:
domain:
type: string
example: ai.example.com
createdTimestamp:
type: integer
description: Creation timestamp returned by GetVoiceBot.
default:
type: boolean
'401':
description: Unauthorized
security:
- apiKeyAuth: []
components:
securitySchemes:
apiKeyAuth:
type: apiKey
in: query
name: token
description: GetVoiceBot API Token
````
